#property copyright "Critic"
#property show_inputs

extern string symbol_2;


//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
double Mediana(string symb)
{
	int sum = 0;
	int count = 0;
	double pp = MarketInfo(symb, MODE_POINT);
	int hod[];
	ArrayResize(hod, 30);
	for (int i = 1; i <= 30; i++)
	{
		hod[i-1] = (iHigh(symb, PERIOD_D1, i) - iLow(symb, PERIOD_D1, i)) / pp;
		if (GetLastError() == 0)
		{
			sum = sum + hod[i-1];
			count++;
		}
	}
	
//	Print(symb, ": ", count);
		
	if (count < 30 && count > 0)
		return(NormalizeDouble(sum / count, 2));
		
	ArraySort(hod);
	
	sum = 0;
	for (i = 2; i < 30 - 2; i++)
		sum += hod[i];
		
	return(NormalizeDouble(sum / (30 - 4), 2));
}

int start()
{
	string result;
	string symbol_1 = Symbol();
	
	result = "Lot2: " + DoubleToStr((MarketInfo(symbol_1, MODE_TICKVALUE) / MarketInfo(symbol_2, MODE_TICKVALUE)) *
											 						(Mediana(symbol_1) / Mediana(symbol_2)) *
											 						(MarketInfo(symbol_2, MODE_TICKSIZE) / MarketInfo(symbol_1, MODE_TICKSIZE)) *
											 						(MarketInfo(symbol_1, MODE_TICKSIZE) * MarketInfo(symbol_1, MODE_LOTSIZE)) /
											 						(MarketInfo(symbol_2, MODE_TICKSIZE) * MarketInfo(symbol_2, MODE_LOTSIZE)), 2);
	result = result + "\nTickValue1: " + DoubleToStr(MarketInfo(symbol_1, MODE_TICKVALUE), 4);
	result = result + "\nTickValue2: " + DoubleToStr(MarketInfo(symbol_2, MODE_TICKVALUE), 4);
	result = result + "\nTV1/TV2: " + DoubleToStr(MarketInfo(symbol_1, MODE_TICKVALUE) / MarketInfo(symbol_2, MODE_TICKVALUE), 4);
	result = result + "\nMediana1:" + DoubleToStr(Mediana(symbol_1), 2);
	result = result + "\nMediana2:" + DoubleToStr(Mediana(symbol_2), 2);
	result = result + "\nM1/M2: " + DoubleToStr(Mediana(symbol_1) / Mediana(symbol_2), 2);
	result = result + "\nTickSize1: " + DoubleToStr(MarketInfo(symbol_1, MODE_TICKSIZE), 4);
	result = result + "\nTickSize2: " + DoubleToStr(MarketInfo(symbol_2, MODE_TICKSIZE), 4);
	result = result + "\nLotSize1: " + DoubleToStr(MarketInfo(symbol_1, MODE_LOTSIZE), 4);
	result = result + "\nLotSize2: " + DoubleToStr(MarketInfo(symbol_2, MODE_LOTSIZE), 4);
	result = result + "\nMinLot1: " + DoubleToStr(MarketInfo(symbol_1, MODE_MINLOT), 4);
	result = result + "\nMinLot2: " + DoubleToStr(MarketInfo(symbol_2, MODE_MINLOT), 4);
	result = result + "\nLotStep1: " + DoubleToStr(MarketInfo(symbol_1, MODE_LOTSTEP), 4);
	result = result + "\nLotStep2: " + DoubleToStr(MarketInfo(symbol_2, MODE_LOTSTEP), 4);
	MessageBox(result);
	return(0);
}
//+------------------------------------------------------------------+